﻿@model IEnumerable<Paw_park.Models.Park>

@{
    ViewBag.Title = "Index";
}

<h2>Pargid</h2>

<p>
    @Html.ActionLink("Lisa park", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Location)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Type)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Capacity)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PictureId)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
<tr>
    <td>
        @Html.DisplayFor(modelItem => item.Name)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Location)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Type)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Capacity)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.PictureId)
    </td>

    <td>
        @*@Html.DisplayFor(modelItem => item.DataFile.ContentType)*@
        <img src="@Url.Action("Content", "DataFiles", new { id = item.PictureId })" height="100" />
    </td>


    <td>
        @Html.ActionLink("Muuda", "Edit", new { id = item.Id }) |
        @Html.ActionLink("Vaata", "Details", new { id = item.Id }) |
        @Html.ActionLink("Kustuta", "Delete", new { id = item.Id })
    </td>
</tr>
}

</table>
